export const __esModule: boolean;
export namespace Prisma {
    namespace TransactionIsolationLevel {
        let ReadUncommitted: string;
        let ReadCommitted: string;
        let RepeatableRead: string;
        let Serializable: string;
    }
    namespace CuentaScalarFieldEnum {
        let id: string;
        let nombreUsuario: string;
        let contrasena: string;
        let esAdmin: string;
        let created_at: string;
        let updated_at: string;
    }
    namespace PerfilScalarFieldEnum {
        let id_1: string;
        export { id_1 as id };
        export let telefono: string;
        export let nombreCompleto: string;
        export let nombrePila: string;
        export let genero: string;
        export let fechaNacimiento: string;
        export let fotoUrl: string;
        let created_at_1: string;
        export { created_at_1 as created_at };
        let updated_at_1: string;
        export { updated_at_1 as updated_at };
        export let idLegible: string;
    }
    namespace ComentarioScalarFieldEnum {
        let id_2: string;
        export { id_2 as id };
        export let contenido: string;
        export let perfilId: string;
        export let creadoPor: string;
        let created_at_2: string;
        export { created_at_2 as created_at };
        let updated_at_2: string;
        export { updated_at_2 as updated_at };
    }
    namespace EtiquetaScalarFieldEnum {
        let id_3: string;
        export { id_3 as id };
        export let nombre: string;
        export let grupoId: string;
        export let tipo: string;
        let created_at_3: string;
        export { created_at_3 as created_at };
        let updated_at_3: string;
        export { updated_at_3 as updated_at };
    }
    namespace EtiquetaGrupoScalarFieldEnum {
        let id_4: string;
        export { id_4 as id };
        let nombre_1: string;
        export { nombre_1 as nombre };
        export let color: string;
        export let esExclusivo: string;
        let created_at_4: string;
        export { created_at_4 as created_at };
        let updated_at_4: string;
        export { updated_at_4 as updated_at };
    }
    namespace EventoScalarFieldEnum {
        let id_5: string;
        export { id_5 as id };
        let nombre_2: string;
        export { nombre_2 as nombre };
        export let fecha: string;
        export let ubicacion: string;
        export let eventoPadreId: string;
        let created_at_5: string;
        export { created_at_5 as created_at };
        let updated_at_5: string;
        export { updated_at_5 as updated_at };
        export let etiquetaAsistioId: string;
        export let etiquetaConfirmoId: string;
    }
    namespace MensajeScalarFieldEnum {
        let id_6: string;
        export { id_6 as id };
        export let wamId: string;
        export let message: string;
        export let status: string;
        export let perfilTelefono: string;
        let created_at_6: string;
        export { created_at_6 as created_at };
        let updated_at_6: string;
        export { updated_at_6 as updated_at };
        export let statusAt: string;
    }
    namespace EnumsScalarFieldEnum {
        let id_7: string;
        export { id_7 as id };
        export let EstadoPlantilla: string;
        export let CategoriaPlantilla: string;
    }
    namespace SortOrder {
        let asc: string;
        let desc: string;
    }
    namespace JsonNullValueInput {
        import JsonNull = Prisma.JsonNull;
        export { JsonNull };
    }
    namespace QueryMode {
        let _default: string;
        export { _default as default };
        export let insensitive: string;
    }
    namespace NullsOrder {
        let first: string;
        let last: string;
    }
    namespace JsonNullValueFilter {
        import DbNull = Prisma.DbNull;
        export { DbNull };
        import JsonNull_1 = Prisma.JsonNull;
        export { JsonNull_1 as JsonNull };
        import AnyNull = Prisma.AnyNull;
        export { AnyNull };
    }
    namespace ModelName {
        let Cuenta: string;
        let Perfil: string;
        let Comentario: string;
        let Etiqueta: string;
        let EtiquetaGrupo: string;
        let Evento: string;
        let Mensaje: string;
        let Enums: string;
    }
}
export namespace $Enums {
    export namespace TipoEtiqueta {
        let PERSONAL: string;
        let EVENTO: string;
        let MODELO: string;
        let TENTATIVA: string;
    }
    export namespace MensajeStatus {
        let ENVIADO: string;
        let RECIBIDO: string;
        let LEIDO: string;
    }
    export namespace EstadoPlantilla_1 {
        let APRROVED: string;
        let PENDING: string;
        let REJECTED: string;
    }
    export { EstadoPlantilla_1 as EstadoPlantilla };
    export namespace CategoriaPlantilla_1 {
        let MARKETING: string;
        let UTILITY: string;
        let AUTHENTICATION: string;
    }
    export { CategoriaPlantilla_1 as CategoriaPlantilla };
}
export namespace TipoEtiqueta {
    let PERSONAL_1: string;
    export { PERSONAL_1 as PERSONAL };
    let EVENTO_1: string;
    export { EVENTO_1 as EVENTO };
    let MODELO_1: string;
    export { MODELO_1 as MODELO };
    let TENTATIVA_1: string;
    export { TENTATIVA_1 as TENTATIVA };
}
export namespace MensajeStatus {
    let ENVIADO_1: string;
    export { ENVIADO_1 as ENVIADO };
    let RECIBIDO_1: string;
    export { RECIBIDO_1 as RECIBIDO };
    let LEIDO_1: string;
    export { LEIDO_1 as LEIDO };
}
export namespace EstadoPlantilla {
    let APRROVED_1: string;
    export { APRROVED_1 as APRROVED };
    let PENDING_1: string;
    export { PENDING_1 as PENDING };
    let REJECTED_1: string;
    export { REJECTED_1 as REJECTED };
}
export namespace CategoriaPlantilla {
    let MARKETING_1: string;
    export { MARKETING_1 as MARKETING };
    let UTILITY_1: string;
    export { UTILITY_1 as UTILITY };
    let AUTHENTICATION_1: string;
    export { AUTHENTICATION_1 as AUTHENTICATION };
}
export namespace Prisma {
    export namespace prismaVersion {
        let client: string;
        let engine: string;
    }
    export function PrismaClientKnownRequestError(): never;
    export function PrismaClientUnknownRequestError(): never;
    export function PrismaClientRustPanicError(): never;
    export function PrismaClientInitializationError(): never;
    export function PrismaClientValidationError(): never;
    export function NotFoundError(): never;
    export { Decimal };
    /**
     * Re-export of sql-template-tag
     */
    export function sql(): never;
    export function empty(): never;
    export function join(): never;
    export function raw(): never;
    export let validator: typeof Public.validator;
    /**
    * Extensions
    */
    export function getExtensionContext(): never;
    export function defineExtension(): never;
    let DbNull_1: {
        _getNamespace(): string;
        _getName(): string;
        toString(): string;
    };
    export { DbNull_1 as DbNull };
    let JsonNull_2: {
        _getNamespace(): string;
        _getName(): string;
        toString(): string;
    };
    export { JsonNull_2 as JsonNull };
    let AnyNull_1: {
        _getNamespace(): string;
        _getName(): string;
        toString(): string;
    };
    export { AnyNull_1 as AnyNull };
    export namespace NullTypes {
        let DbNull_2: {
            new (arg?: symbol | undefined): {
                _getNamespace(): string;
                _getName(): string;
                toString(): string;
            };
        };
        export { DbNull_2 as DbNull };
        let JsonNull_3: {
            new (arg?: symbol | undefined): {
                _getNamespace(): string;
                _getName(): string;
                toString(): string;
            };
        };
        export { JsonNull_3 as JsonNull };
        let AnyNull_2: {
            new (arg?: symbol | undefined): {
                _getNamespace(): string;
                _getName(): string;
                toString(): string;
            };
        };
        export { AnyNull_2 as AnyNull };
    }
}
/**
 * This is a stub Prisma Client that will error at runtime if called.
 */
export class PrismaClient {
}
import { Decimal } from "./runtime/index-browser.js";
import { Public } from "./runtime/index-browser.js";
